<?php
//用户管理只有[1001]用户可使用；
session_start();
$page_title="用户管理—恩格会计管理系统";
//用户为空时转到登录页面并中止执行程序；
if($_SESSION[username]==""){
	echo '<script language="javascript" type="text/javascript">window.location.href="login.php";</script>';
	exit();
}
//用户不为管理员时提示权限不够；
if($_SESSION[userid]!=="1001"){
	include("header.php");
	echo '<table width="100%" bgcolor="yellow">
		  <tr>
		  <td width="18px">
			<img src="picture/alert.gif" width="16" height="16" /></td>
		  <td>
		  您的权限不够，无法正常显示本页内容。如有需要，请联系管理员。
		  </td>
		  </tr>
		  </table>';
	include("footer.php");
	exit();
}

echo '<script>document.title="处理结果通知";</script>';

//提交权限数据开始； 
include("cnn.php");

//先将所有的权限赋值为0，再根据已选择的复选框赋值为-1；
$strsql='update power set Rvalue=0 where Uid="'.$_SESSION[Uid].'"';
$mysqli->query($strsql);
$afr=$mysqli->affected_rows;
if($afr>0){
	echo '成功取消工号['.$_SESSION[Uid].']的所有权限；<br/>';
}else{
	echo '取消工号['.$_SESSION[Uid].']的所有权限失败；<br/>';
}
echo '<hr>';


for($i=0;$i<count($_POST['Rvalue']);$i++){
	$arr=explode(",",$_POST['Rvalue'][$i]);
	$strsql='update power set Rvalue=-1 where Uid="'.$arr[0].'" and Rid="'.$arr[1].'"';
	echo '成功设置第['.$arr[1].']项的权限值；<br/>';
	$mysqli->query($strsql);
}

$mysqli->close();
?>